# Django settings for app project.
ROA_MODELS = True   # set to False if you'd like to develop/test locally

ROA_FORMAT = 'django'
SERIALIZATION_MODULES = {
    'django' : 'auf_references_client.serializers',
}
ROA_HEADERS = {
    'Content-Type': 'application/x-www-form-urlencoded',
}
ROA_DJANGO_ERRORS = True # useful to ease debugging if you use test server


# URLs
ROA_BASE_URL = "https://references.auf.org/roa/"
## Pour tests
ROA_BASE_URL = 'http://localhost:8001/roa/'
ROA_URL_OVERRIDES_LIST = {
    'auf_references_modeles.region': ROA_BASE_URL + 'region/',
    'auf_references_modeles.pays': ROA_BASE_URL + 'pays/',
    'auf_references_modeles.adresse': ROA_BASE_URL + 'adresse/',
    'auf_references_modeles.aufuser': ROA_BASE_URL + 'user/',
    'auf_references_modeles.etablissement': ROA_BASE_URL + 'etablissement/',
    'auf_references_modeles.etablissementhistory': ROA_BASE_URL + 'etablissement/histo/',
    'auf_references_modeles.responsable': ROA_BASE_URL + 'responsable/',
    'auf_references_modeles.implantation': ROA_BASE_URL + 'implantation/',
    'auf_references_modeles.typeimplantation': ROA_BASE_URL + 'typeimplantation/',
    'auf_references_modeles.employeresponsable': ROA_BASE_URL + 'employeresponsable/',
}

## Pour la nouvelle app d'auth
#AUTHENTICATION_BACKENDS = (
#    'auf_references_client.backends.CascadeBackend',
#)
#AUTH_PASSWORD_REQUIRED=True

## ?
#ROA_CUSTOM_ARGS = {'api-key': ROA_API_KEY}
